## pbalign 0.2.0

=== Makefile ===
SHELL = /bin/bash -e

all: build install

build:
	python setup.py build --executable="/usr/bin/env python"

bdist:
	python setup.py build --executable="/usr/bin/env python"
	python setup.py bdist --formats=egg

install:
	python setup.py install

develop:
	python setup.py develop

test:
	# Unit tests
	find tests/unit -name "*.py" | xargs nosetests
	# End-to-end tests
	@echo pbalign cram tests require blasr installed.
	find tests/cram -name "*.t" | xargs cram 

doc:
	sphinx-apidoc -T -f -o doc src/ && cd doc && make html

docs: doc

doc-clean:
	rm -f doc/*.html

clean: doc-clean
	rm -rf dist/ build/ *.egg-info
	rm -rf doc/_build
	find . -name "*.pyc" | xargs rm -f
	rm -rf dist/
	rm -f nostests.xml

pip-install: 
	@which pip > /dev/null
	@pip freeze|grep 'pbalign=='>/dev/null \
      && ( pip uninstall -y pbalign \
        || pip uninstall -y pbtools.pbalign ) \
      || true
	@pip install --no-index \
          --install-option="--install-scripts=$(PREFIX)/bin" \
          ./

.PHONY: all build bdist install develop test doc clean

=== debian/changelog ===
pbalign (0.2.0-1) unstable; urgency=low

  * Initial release (Closes: #797675)

 -- Afif Elghraoui <afif@ghraoui.name>  Mon, 07 Sep 2015 14:49:41 -0700

=== debian/control ===
Source: pbalign
Section: python
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@ghraoui.name>
Build-Depends: debhelper (>= 9),
	       dh-python,
	       python-all,
	       python-setuptools,
	       python-pbcore (>= 0.8.5),
	       python-sphinx,
	       help2man
Standards-Version: 3.9.6
Homepage: https://github.com/PacificBiosciences/pbalign
Vcs-Git: git://anonscm.debian.org/debian-med/pbalign.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-med/pbalign.git

Package: pbalign
Architecture: all
Depends: ${misc:Depends},
	 ${python:Depends},
	 python-pbalign,
	 python-pkg-resources,
	 blasr
Recommends: python-pbh5tools,
	    hdf5-tools
Suggests: bowtie2,
	  gmap,
	  pbalign-doc
Description: map Pacific Biosciences reads to reference DNA sequences
 pbalign aligns PacBio reads to reference sequences, filters aligned
 reads according to user-specific filtering criteria, and converts the
 output to either the SAM format or PacBio Compare HDF5 (e.g., .cmp.h5) 
 format.
 .
 This package is part of the SMRTAnalysis suite.

Package: python-pbalign
Architecture: all
Depends: ${misc:Depends},
	 ${python:Depends},
	 blasr
Recommends: python-pbh5tools,
	    hdf5-tools
Suggests: bowtie2,
	  gmap,
	  pbalign-doc
Description: map Pacific Biosciences reads to reference DNA sequences (Python2)
 pbalign aligns PacBio reads to reference sequences, filters aligned
 reads according to user-specific filtering criteria, and converts the
 output to either the SAM format or PacBio Compare HDF5 (e.g., .cmp.h5)
 format.
 .
 pbalign is part of the SMRTAnalysis suite. This package provides the
 Python library backend.

Package: pbalign-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
	 libjs-jquery,
	 libjs-underscore
Description: documentation for pbalign
 pbalign aligns PacBio reads to reference sequences, filters aligned
 reads according to user-specific filtering criteria, and converts the
 output to either the SAM format or PacBio Compare HDF5 (e.g., .cmp.h5)
 format.
 .
 pbalign is part of the SMRTAnalysis suite. This package contains its
 documentation

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export PYBUILD_NAME = pbalign

BUILDDIR = $(CURDIR)/debian/python-pbalign
BINDIR=$(BUILDDIR)/usr/bin
HELP2MAN = help2man --no-info --version-string $(DEB_VERSION_UPSTREAM)
MANDIR = $(CURDIR)/debian/$(DEB_SOURCE)/usr/share/man/man1

%:
	LC_ALL=C.UTF-8 dh $@ --with=python2 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	$(MAKE) doc

# The tests cannot be run, mostly because the referenced data files
# (which are large) are not provided in the source distribution
#override_dh_auto_test:
#	export PYTHONPATH=$(CURDIR);	\
#	cd tests/unit && python -m unittest discover

override_dh_install: SHELL=bash
override_dh_install:
	dh_install
	# Create manpages
	mkdir -p $(MANDIR)
	declare -A description;						       \
	description=(							       \
	  [pbalign]="Mapping PacBio sequences to references"		       \
	  [maskAlignedReads.py]="Mask aligned reads in regions file"	       \
	  [createChemistryHeader.py]="Create a SAM header with PacBio sequencing chemistry information" \
	  [loadChemistry.py]="Load PacBio sequencing chemistry information"    \
	  [extractUnmappedSubreads.py]="Extract unmapped subreads from a fasta file" \
	);								       \
	export PYTHONPATH=$(BUILDDIR)/usr/lib/python2.7/dist-packages;	       \
	for executable in $(BUILDDIR)/usr/bin/*;			       \
	do								       \
	    $(HELP2MAN) --name="$${description[`basename $$executable`]}"      \
	      $$executable > $(MANDIR)/`basename $$executable.1`;	       \
	done
	# Remove .py suffix from scripts (we'll make symlinks to replace them)
	for script in extractUnmappedSubreads			\
	              loadChemistry				\
	              createChemistryHeader			\
	              maskAlignedReads;				\
	do							\
	    mv $(BINDIR)/$$script.py $(BINDIR)/$$script;	\
	    mv $(MANDIR)/$$script.py.1 $(MANDIR)/$$script.1;	\
	done
	# Place executables in the pbalign package
	mkdir -p $(CURDIR)/debian/$(DEB_SOURCE)/usr/bin
	mv $(BINDIR)/* $(CURDIR)/debian/$(DEB_SOURCE)/usr/bin

## pbalign 0.3.0

=== Makefile ===
--- 
+++ 
@@ -17,13 +17,20 @@
 
 test:
 	# Unit tests
-	find tests/unit -name "*.py" | xargs nosetests
+	#find tests/unit -name "*.py" | xargs nosetests
+	nosetests --verbose tests/unit/*.py
 	# End-to-end tests
 	@echo pbalign cram tests require blasr installed.
 	find tests/cram -name "*.t" | xargs cram 
 
+h5test:
+	# Tests for pre-3.0 smrtanalysis when default file formats are *.h5
+	@echo pbalign h5 tests require blasr, samtoh5, loadPulses, samFilter and etc installed.
+	nosetests --verbose tests/unit_h5/*.py
+	find tests/cram_h5 -name "*.t" | xargs cram -v
+
 doc:
-	sphinx-apidoc -T -f -o doc src/ && cd doc && make html
+	sphinx-apidoc -T -f -o doc pbalign/ && cd doc && make html
 
 docs: doc

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pbalign.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pbalign.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pbalign"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pbalign"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
pbalign (0.3.0-1) unstable; urgency=medium

  * New upstream release (corresponds to smrtanalysis-4.0.0 tag)
  * Readability improvements and clean-ups in d/control and d/rules
  * Update email address and copyright year
  * Bump Standards-Version to 3.9.8
  * Use encrypted protocols for VCS URLs
  * Add build-dependency on pbcommand
  * Drop patch applied upstream
  * Don't install LICENSES file
  * Set blasr minimum version

 -- Afif Elghraoui <afif@debian.org>  Sun, 15 Jan 2017 15:49:13 -0800

=== debian/control ===
Source: pbalign
Section: python
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@debian.org>
Build-Depends:
	debhelper (>= 9),
	dh-python,
	python-all,
	python-setuptools,
	python-pbcore (>= 0.8.5),
	python-pbcommand (>= 0.2.0),
	python-sphinx,
	help2man,
Standards-Version: 3.9.8
Homepage: https://github.com/PacificBiosciences/pbalign
Vcs-Git: https://anonscm.debian.org/git/debian-med/pbalign.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/pbalign.git

Package: pbalign
Architecture: all
Depends:
	${misc:Depends},
	${python:Depends},
	python-pbalign,
	python-pkg-resources,
	blasr (>= 5.3+0),
Recommends:
	python-pbh5tools,
	hdf5-tools,
Suggests:
	bowtie2,
	gmap,
	pbalign-doc,
Description: map Pacific Biosciences reads to reference DNA sequences
 pbalign aligns PacBio reads to reference sequences, filters aligned
 reads according to user-specific filtering criteria, and converts the
 output to either the SAM format or PacBio Compare HDF5 (e.g., .cmp.h5) 
 format.
 .
 This package is part of the SMRTAnalysis suite.

Package: python-pbalign
Architecture: all
Depends:
	${misc:Depends},
	${python:Depends},
	blasr (>= 5.3+0),
Recommends:
	python-pbh5tools,
	hdf5-tools,
Suggests:
	bowtie2,
	gmap,
	pbalign-doc,
Description: map Pacific Biosciences reads to reference DNA sequences (Python2)
 pbalign aligns PacBio reads to reference sequences, filters aligned
 reads according to user-specific filtering criteria, and converts the
 output to either the SAM format or PacBio Compare HDF5 (e.g., .cmp.h5)
 format.
 .
 pbalign is part of the SMRTAnalysis suite. This package provides the
 Python library backend.

Package: pbalign-doc
Section: doc
Architecture: all
Depends:
	${misc:Depends},
	libjs-jquery,
	libjs-underscore,
Description: documentation for pbalign
 pbalign aligns PacBio reads to reference sequences, filters aligned
 reads according to user-specific filtering criteria, and converts the
 output to either the SAM format or PacBio Compare HDF5 (e.g., .cmp.h5)
 format.
 .
 pbalign is part of the SMRTAnalysis suite. This package contains its
 documentation

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,7 @@
 #!/usr/bin/make -f
 
 #DH_VERBOSE = 1
-
-DPKG_EXPORT_BUILDFLAGS = 1
+export LC_ALL=C.UTF-8
 include /usr/share/dpkg/default.mk
 
 export PYBUILD_NAME = pbalign
@@ -13,7 +12,7 @@
 MANDIR = $(CURDIR)/debian/$(DEB_SOURCE)/usr/share/man/man1
 
 %:
-	LC_ALL=C.UTF-8 dh $@ --with=python2 --buildsystem=pybuild
+	dh $@ --with=python2 --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build

=== debian/watch ===
# Upstream (on github) has not tagged releases for us to watch
#version=3

## pbalign 0.3.2

=== Makefile ===
--- 
+++ 
@@ -15,10 +15,13 @@
 develop:
 	python setup.py develop
 
-test:
+pylint:
+	pylint --errors-only pbalign
+
+test: pylint
 	# Unit tests
 	#find tests/unit -name "*.py" | xargs nosetests
-	nosetests --verbose tests/unit/*.py
+	python setup.py test
 	# End-to-end tests
 	@echo pbalign cram tests require blasr installed.
 	find tests/cram -name "*.t" | xargs cram

=== debian/changelog ===
pbalign (0.3.2-1) unstable; urgency=medium

  * Team upload

  * Standards-Version: 4.2.1
  * d/rules: clean up all build remnants

  * TODO: Python3-version, added README.Debian as a reminder

 -- Steffen Moeller <moeller@debian.org>  Sat, 26 Jan 2019 13:20:46 +0100

pbalign (0.3.1-1) unstable; urgency=medium

  * Team upload.
  * Add watch file
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Testsuite: autopkgtest-pkg-python
  * Secure URI in copyright format
  * Remove trailing whitespace in debian/control
  * Build-Depends: s/python-sphinx/python3-sphinx/
  * pbalign versioned depends: python-pbalign (= ${source:Version})
  * Create manpages before building package

 -- Andreas Tille <tille@debian.org>  Wed, 31 Oct 2018 07:53:41 +0100

=== debian/control ===
Source: pbalign
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-python,
               python-all,
               python-setuptools,
               python-pbcore,
               python-pbcommand,
               python3-sphinx,
               python-nose
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/pbalign
Vcs-Git: https://salsa.debian.org/med-team/pbalign.git
Homepage: https://github.com/PacificBiosciences/pbalign

Package: pbalign
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-pbalign (= ${source:Version}),
         python-pkg-resources,
         blasr (>= 5.3+0)
Recommends: python-pbh5tools,
            hdf5-tools
Suggests: bowtie2,
          gmap,
          pbalign-doc
Description: map Pacific Biosciences reads to reference DNA sequences
 pbalign aligns PacBio reads to reference sequences, filters aligned
 reads according to user-specific filtering criteria, and converts the
 output to either the SAM format or PacBio Compare HDF5 (e.g., .cmp.h5)
 format.
 .
 This package is part of the SMRTAnalysis suite.

Package: python-pbalign
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         blasr (>= 5.3+0)
Recommends: python-pbh5tools,
            hdf5-tools
Suggests: bowtie2,
          gmap,
          pbalign-doc
Description: map Pacific Biosciences reads to reference DNA sequences (Python2)
 pbalign aligns PacBio reads to reference sequences, filters aligned
 reads according to user-specific filtering criteria, and converts the
 output to either the SAM format or PacBio Compare HDF5 (e.g., .cmp.h5)
 format.
 .
 pbalign is part of the SMRTAnalysis suite. This package provides the
 Python library backend.

Package: pbalign-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         libjs-jquery,
         libjs-underscore
Description: documentation for pbalign
 pbalign aligns PacBio reads to reference sequences, filters aligned
 reads according to user-specific filtering criteria, and converts the
 output to either the SAM format or PacBio Compare HDF5 (e.g., .cmp.h5)
 format.
 .
 pbalign is part of the SMRTAnalysis suite. This package contains its
 documentation

=== debian/rules ===
--- 
+++ 
@@ -24,10 +24,24 @@
 #	export PYTHONPATH=$(CURDIR);	\
 #	cd tests/unit && python -m unittest discover
 
-override_dh_install: SHELL=bash
 override_dh_install:
 	dh_install
-	# Create manpages
+	# Remove .py suffix from scripts (we'll make symlinks to replace them)
+	for script in extractUnmappedSubreads			\
+	              loadChemistry				\
+	              createChemistryHeader			\
+	              maskAlignedReads;				\
+	do							\
+	    mv $(BINDIR)/$$script.py $(BINDIR)/$$script;	\
+#	    mv $(MANDIR)/$$script.py.1 $(MANDIR)/$$script.1;	\
+	done
+	# Place executables in the pbalign package
+	mkdir -p $(CURDIR)/debian/$(DEB_SOURCE)/usr/bin
+	mv $(BINDIR)/* $(CURDIR)/debian/$(DEB_SOURCE)/usr/bin
+
+no_override_dh_installmanpages: SHELL=bash
+no_override_dh_installmanpages: 
+	# Create manpages - this is deactivated in favour of debian/createmanpages script which is executed before creating the package
 	mkdir -p $(MANDIR)
 	declare -A description;						       \
 	description=(							       \
@@ -37,21 +51,17 @@
 	  [loadChemistry.py]="Load PacBio sequencing chemistry information"    \
 	  [extractUnmappedSubreads.py]="Extract unmapped subreads from a fasta file" \
 	);								       \
+	set -x \
 	export PYTHONPATH=$(BUILDDIR)/usr/lib/python2.7/dist-packages;	       \
 	for executable in $(BUILDDIR)/usr/bin/*;			       \
 	do								       \
 	    $(HELP2MAN) --name="$${description[`basename $$executable`]}"      \
 	      $$executable > $(MANDIR)/`basename $$executable.1`;	       \
 	done
-	# Remove .py suffix from scripts (we'll make symlinks to replace them)
-	for script in extractUnmappedSubreads			\
-	              loadChemistry				\
-	              createChemistryHeader			\
-	              maskAlignedReads;				\
-	do							\
-	    mv $(BINDIR)/$$script.py $(BINDIR)/$$script;	\
-	    mv $(MANDIR)/$$script.py.1 $(MANDIR)/$$script.1;	\
-	done
-	# Place executables in the pbalign package
-	mkdir -p $(CURDIR)/debian/$(DEB_SOURCE)/usr/bin
-	mv $(BINDIR)/* $(CURDIR)/debian/$(DEB_SOURCE)/usr/bin
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf doc/_build/
+	rm -f doc/pbalign.alignservice.rst doc/pbalign.rst doc/pbalign.tasks.rst doc/pbalign.tools.rst doc/pbalign.utils.rst
+	rm -rf pbalign.egg-info
+

=== debian/watch ===
version=4

https://github.com/PacificBiosciences/pbalign/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@
